import { ReactTyped } from 'react-typed'

interface TitlesProps {
  titles: string[]
  className?: string
}

export const Titles = ({ titles, className }: TitlesProps) => {
  const titlesFiltered = titles.filter((title) => title !== '')

  return (
    <>
      <h1 className="text-3xl sm:text-5xl font-bold">
        Hey 👋, I&apos;m {`${process.env.FIRST_NAME}`}
        {titlesFiltered.length > 0 && (
          <>
            , <br />
            <ReactTyped
              className={className}
              strings={titlesFiltered}
              typeSpeed={50}
              backSpeed={40}
              backDelay={1000}
              startWhenVisible
              loop
              onStringTyped={(pos, self) => {
                if (pos === 0) {
                  self.stop()
                  setTimeout(() => self.start(), 2500)
                }
              }}
            />
          </>
        )}
      </h1>
    </>
  )
}
